/*
  Theme Name: Proyecto DIW
  Author: CIPFP BATOI
  Description: Plantilla proyecto Desarrollo de Interfaces Web. Curso 2020-2021.
  Version: 1.0.0
*/


@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');

*
{
  font-family: 'Poppins', sans-serif;
}

html {
  scroll-behavior: smooth;
}

html 
img {
  max-width: 100%;
}

header {
  padding-top: 1rem;
}

footer {
  background: #000;
  color: #fff;
  padding: 2rem;
  text-align: center;
}

nav {
  background: rgba(0,0,0,0.15);
  height: 100%;
  display: flex;
}

nav ul {
  margin: 0;
  padding-left: 0;
  width: 100%;
  align-self: center;
  text-align: right;
}

nav ul li {
  display: inline-block;
  margin: 5px 15px;
  border: 3px solid black;
  padding: 5px 12px;
  border-radius: 3px;
}

nav ul li a {
  color: #000;
  text-transform: uppercase;
  font-weight: bold;
  font-size: 16px;
}

nav ul li:hover{
  border-color: #FF33CC;
}

nav ul li:hover a{
  color: #FF33CC;
  text-decoration: none;
}

nav ul li.current-menu-item {
  border-color: #FF33CC;
}
nav ul li.current-menu-item a {
  color: #FF33CC;
}


/*************************************** HOME ***************************************/

.container
{
  max-width: 1280px;
  margin: 0 auto;
}

#bienvenido
{
  margin: 2rem 0 1rem 0;
  display: flex;
  align-items: center;
  padding: 0 1rem;
}

#bienvenido .container 
{
  flex: 1;
  display: flex;

  height: 200px;
  text-align: center;
  border: 2px solid #000;
  justify-content: center;
  align-items: center;
}

#seccion-1
{
  display: flex;
  flex-direction: row;
  gap: 1rem;
  padding: 0 1rem;
}

#seccion-1 .container 
{
  flex: 1;
  display: flex;
  text-align: center;
  justify-content: center;
  align-items: center;
  gap: 1rem;
}

#seccion-1 .container div
{
  height: 100px;
  flex: 1;
  text-align: center;
  border: 2px solid #000;
  display: flex;
  justify-content: center;
  align-items: center;
}

#seccion-2
{
  height: 250px;
  background-color: #0000001f;
  border-top: 2px solid #000;
  border-bottom: 2px solid #000;
  margin: 2rem 0;
  display: flex;
  align-items: center;
  padding: 0 1rem;
}

#seccion-2 .container 
{
  flex: 1;
  display: flex;
  gap: 1rem;
}

#seccion-2 .container div
{
  height: 100px;
  flex: 1;
  text-align: center;
  border: 2px solid #000;
  background-color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
}

#seccion-3
{
  
  margin: 0 0 2rem 0;
  display: flex;
  align-items: center;
  padding: 0 1rem;
}

#seccion-3 .container 
{
  flex: 1;
  display: flex;
  gap: 1rem;
}

#seccion-3 .container div
{
  height: 100px;
  text-align: center;
  border: 2px solid #000;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 30rem;
}

#seccion-3 .container div:first-child 
{
  flex: 1;
}

#seccion-3 .container div:last-child
{
  flex: 3;
}

@media (max-width: 768px)
{
  #seccion-1 .container,
  #seccion-2 .container,
  #seccion-3 .container
  {
    display: block;
  }

  #seccion-1 .container div,
  #seccion-2 .container div,
  #seccion-3 .container div
  {
    margin-bottom: 1rem;
  }
  #seccion-1 .container div:last-child,
  #seccion-2 .container div:last-child,
  #seccion-3 .container div:last-child
  {
    margin-bottom: 0rem;
  }
}



/*************************************** PAGE TIPOGRAFÍA ***************************************/

.page-tipography .container
{
  max-width: 1280px;
  margin: 0 auto;
}

.page-tipography .seccion1
{
  padding: 100px 20px;
}

.page-tipography h1
{
  font-size: 37px;
  text-align: center;
  font-weight: lighter;
}

.page-tipography h1 span
{
  text-align: center;
  font-weight: bold;
  font-size: 50px;
  display: block;
}

.page-tipography .seccion2
{
  padding: 40px 20px;
  display: flex;
  gap: 2rem;
}

.page-tipography .seccion2 .sidebar
{
  display: flex;
  flex-direction: column;
  flex: 1;
}

.page-tipography .seccion2 .posts
{
  display: flex;
  flex-direction: column;
  flex: 3;
}

.page-tipography .seccion2 .posts article 
{
  display: flex;
  border-bottom: 1px solid #CCCCCC;
  padding: 1rem 0;
  gap: 1rem;
}

.page-tipography .seccion2 .posts article img 
{
  object-fit: cover;
  height: fit-content;
  width: auto;
}

.page-tipography .seccion2 .posts article p
{
  font-size: 13px;
}

.page-tipography .seccion2 .posts article a
{
  border: 3px solid #c44057;
  border-radius: 3px;
  color: #c44057;
  text-transform: uppercase;
  padding: 3px 5px;
  transition: .5s;
}

.page-tipography .seccion2 .posts article a:hover 
{
  background-color: #c44057;
  color: #fff;
  text-decoration: none;
}

.page-tipography .seccion2 .sidebar
{
  padding: 20px;
}

.page-tipography .seccion2 .sidebar ul
{
  list-style: decimal;
  margin: 0;
  padding: 0 0 0 20px;
}

.page-tipography .seccion2 .sidebar ul li
{
  padding: 5px 0;
}

.page-tipography .seccion2 .sidebar ul li a
{
  color: unset;
}

.page-tipography .seccion2 .sidebar ul li:hover,
.page-tipography .seccion2 .sidebar ul li a:hover
{
  text-decoration: none;
  color: #c44057;
}

.page-tipography .seccion2 .sidebar ul li.active,
.page-tipography .seccion2 .sidebar ul li.active a
{
  color: #c44057;
  font-weight: bold;
}

.page-tipography .seccion3
{
  margin: 10px 0;
  padding: 40px 0px;
  background-color: #d4d4d4;
}

.page-tipography .seccion3 .container
{
  padding: 0 20px;
  display: flex;
  gap: 2rem;
  flex: 1;
  text-align: center;
}

.page-tipography .seccion3 .container .box h3
{
  font-size: 23px;
  font-weight: bold;
}

.page-tipography .seccion3 .container .box p 
{
  font-size: 14px;
}

.page-tipography .seccion4
{
  padding: 40px 20px;
}

.page-tipography .seccion4 h2
{
  font-size: 37px;
  font-weight: bold;
  text-align: center;
}

.page-tipography .seccion4 .content
{
  display: flex;
  gap: 1rem;
  font-size: 14px;
}

@media (max-width: 1024px)
{
  .page-tipography .seccion2
  {
    flex-direction: column;
  }

  .page-tipography .seccion2 .sidebar
  {
    padding: 0px;
  }

  .page-tipography .seccion3 .container
  {
    flex-direction: column;
    align-items: center;
  }

  .page-tipography .seccion3 .container .box 
  {
    max-width: 400px;
  }
}

@media (max-width: 768px)
{
  .page-tipography .seccion2 .posts article
  {
    flex-direction: column;
  }
}



/*************************************** PAGE COLORES ***************************************/
.page-colores .container
{
  max-width: 1280px;
  margin: 0 auto;
}

.page-colores .seccion1
{
  padding: 100px 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.page-colores h1
{
  text-align: center;
  font-weight: bold;
  font-size: 50px;
}

.page-colores p
{
  text-align: center;
  font-size: 25px;
  max-width: 660px;
}

.page-colores .seccion2
{
  padding: 40px 20px;
}

.page-colores .seccion2 h2,
.page-colores .seccion3 h2,
.page-colores .seccion4 h2
{
  font-size: 37px;
  font-weight: bold;
  text-align: center;
}

.page-colores .seccion2 .boxes
{
  display: flex;
  gap: 1rem;
}

.page-colores .seccion2 .boxes a
{
  flex: 1;
  text-align: center;
  border: 3px solid #000;
  padding: 50px 0px;
  text-transform: uppercase;
  font-weight: bold;
  color: #000;
}

.page-colores .seccion3 .box-colors
{
  display: flex;
  margin: 0 auto 40px auto;
}

.page-colores .seccion3 .box-colors .box
{
  height: 70vh;
  min-height: 20rem;
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  font-weight: bold;
  font-size: 20px;
}

.page-colores .seccion3 .box-colors .box1
{
  background-color: #FC0FC0;
}
.page-colores .seccion3 .box-colors .box2
{
  background-color: #C020D0;
}
.page-colores .seccion3 .box-colors .box3
{
  background-color: #8432DF;
}
.page-colores .seccion3 .box-colors .box4
{
  background-color: #4743EF;
}
.page-colores .seccion3 .box-colors .box5
{
  background-color: #0B54FE;
}

.page-colores .seccion4
{
  padding: 40px 20px 0 20px;
}

.page-colores .seccion4 h2 
{
  margin: 0;
}

.page-colores .seccion4 h3
{
  text-align: center;
  font-weight: 100;
  font-size: 30px;
}

.page-colores .seccion4 .box-colors-1,
.page-colores .seccion4 .box-colors-2
{
  padding: 40px 0;
  display: flex;
  justify-content: center;
  font-weight: bold;
  font-size: 20px;
  justify-content: space-around;
}

.page-colores .seccion4 .box-colors-1 > div,
.page-colores .seccion4 .box-colors-2 > div
{
  flex: 1;
  min-width: 130px;
  max-width: 130px;
  min-height: 130px;
  max-height: 130px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  color: #fff;
}

.page-colores .seccion4 .box-colors-1 div.rg100
{
  background-color: rgba(71, 67, 239, 1)
}
.page-colores .seccion4 .box-colors-1 div.rg80
{
  background-color: rgba(71, 67, 239, .8)
}
.page-colores .seccion4 .box-colors-1 div.rg60
{
  background-color: rgba(71, 67, 239, .6)
}
.page-colores .seccion4 .box-colors-1 div.rg40
{
  background-color: rgba(71, 67, 239, .4)
}
.page-colores .seccion4 .box-colors-1 div.rg20
{
  background-color: rgba(71, 67, 239, .2)
}

.page-colores .seccion4 .box-colors-2 div.rg100
{
  background-color: rgba(252, 15, 192, 1)
}
.page-colores .seccion4 .box-colors-2 div.rg80
{
  background-color: rgba(252, 15, 192, .8)
}
.page-colores .seccion4 .box-colors-2 div.rg60
{
  background-color: rgba(252, 15, 192, .6)
}
.page-colores .seccion4 .box-colors-2 div.rg40
{
  background-color: rgba(252, 15, 192, .4)
}
.page-colores .seccion4 .box-colors-2 div.rg20
{
  background-color: rgba(252, 15, 192, .2)
}

.page-colores .seccion4 .box-colors-3,
.page-colores .seccion4 .box-colors-4
{
  padding: 40px 0;
  display: flex;
  justify-content: center;
  font-weight: 100;
  font-size: 20px;
  gap: 1rem;
}

.page-colores .seccion4 .box-colors-3 .col-hs,
.page-colores .seccion4 .box-colors-3 .col-hl
{
  flex-direction: row;
  display: flex;
  flex: 1;
  border: 1px solid #dedede;
}

.page-colores .seccion4 .box-colors-3 .col-hs div,
.page-colores .seccion4 .box-colors-3 .col-hl div
{
  flex: 2;
  height: 130px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  color: #fff;
  background-color: #8432DF;
}

.page-colores .seccion4 .box-colors-3 .col-hs .hs100
{
  background-color: hsl(268, 100%, 54%);
}
.page-colores .seccion4 .box-colors-3 .col-hs .hs80
{
  background-color: hsl(268, 80%, 54%);
}
.page-colores .seccion4 .box-colors-3 .col-hs .hs60
{
  background-color: hsl(268, 60%, 54%);
}
.page-colores .seccion4 .box-colors-3 .col-hs .hs40
{
  background-color: hsl(268, 40%, 54%);
}
.page-colores .seccion4 .box-colors-3 .col-hs .hs20
{
  background-color: hsl(268, 20%, 54%);
}
.page-colores .seccion4 .box-colors-3 .col-hs .hs0
{
  background-color: hsl(268, 0%, 54%);
}

.page-colores .seccion4 .box-colors-3 .col-hl .hl100
{
  background-color: hsl(268, 73%, 100%);
  color: #000;
}
.page-colores .seccion4 .box-colors-3 .col-hl .hl80
{
  background-color: hsl(268, 73%, 80%);
}
.page-colores .seccion4 .box-colors-3 .col-hl .hl60
{
  background-color: hsl(268, 73%, 60%);
}
.page-colores .seccion4 .box-colors-3 .col-hl .hl40
{
  background-color: hsl(268, 73%, 40%);
}
.page-colores .seccion4 .box-colors-3 .col-hl .hl20
{
  background-color: hsl(268, 73%, 20%);
}
.page-colores .seccion4 .box-colors-3 .col-hl .hl0
{
  background-color: hsl(268, 73%, 0%);
}

.page-colores .seccion4 .box-colors-4 .p6_grad1,
.page-colores .seccion4 .box-colors-4 .p6_grad2
{
  flex-direction: row;
  display: flex;
  flex: 1;
  padding: 70px 0;

  justify-content: center;
  align-items: center;
  text-align: center;
  color: #fff;
}

.page-colores .seccion4 .box-colors-4 .p6_grad1
{
  background: rgb(252,15,192);
  background: linear-gradient(90deg, rgba(252,15,192,1) 0%, rgba(71,67,239,1) 90%);
}

.page-colores .seccion4 .box-colors-4 .p6_grad2
{
  background: rgb(252,15,192);
  background: radial-gradient(circle, rgba(252,15,192,1) 0%, rgba(71,67,239,1) 90%);
}

.page-colores .seccion5
{
  background: rgb(252,15,192);
  background: linear-gradient(0deg, rgba(252,15,192,1) 32%, rgba(71,67,239,1) 100%);
  padding: 80px 0;
}

.page-colores .seccion5 .container
{
  padding: 0 20px;
}

.page-colores .seccion5 .box-white
{
  margin: 0;
  background: #fff;
  width: fit-content;
  padding: 100px;
}

.page-colores .seccion5 .box-white h2 
{
  background: rgb(252,15,192);
  background: linear-gradient(0deg, rgba(252,15,192,1) 32%, rgba(71,67,239,1) 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-size: 50px;
}


@media (max-width: 768px)
{
  .page-colores .seccion2 .boxes,
  .page-colores .seccion4 .box-colors-3,
  .page-colores .seccion4 .box-colors-4
  {
    flex-direction: column;
  }

  .page-colores .seccion3 .box-colors .box
  {
    font-size: 13px;
  }

  .page-colores .seccion4 .box-colors-1,
  .page-colores .seccion4 .box-colors-2
  {
    align-items: center;
    flex-direction: column;
    gap: 1rem;
  }
}



/*********************************************** PERFIL **************************************/
.container2
{
  max-width: 1500px;
  margin: 0 auto;
}

.page-profile 
{
  margin: 0 20px;
}

.page-profile .banner
{
  width: 100%;
  height: 400px;
  background-image: url(/wp-content/themes/diw/img/banner-desktop.jpg);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  display: flex;
  align-items: flex-end;
}

.page-profile .banner .avatar
{
  height: 200px;
  width: 200px;
  margin: 15px;
  border-radius: 50%;
  box-shadow: 5px 0px 7px #0000005e;
}

.page-profile .banner h1
{
  color: #fff;
  text-shadow: 0px 0px 7px #0000005e;
}











.page-profile .seccion2
{
  display: flex;
  gap: 2rem;
}

.page-profile .seccion2 .sidebar
{
  padding: 50px 0;
  display: flex;
  flex-direction: column;
  flex: 1;
  height: fit-content;
  position: -webkit-sticky; /* Safari */
  position: sticky;
  top: 0;
}

.page-profile .seccion2 .sidebar a
{
  color: #000;
  font-size: 20px;
  padding: 7px 0;
  margin: 3px 0;
}

.page-profile .seccion2 .sidebar a i
{
  margin-right: 20px;
}

.page-profile .seccion2 .contenido-seccion2
{
  padding: 50px 0;
  flex: 3;
}

.page-profile .seccion2 .contenido-seccion2 h3
{
  margin: 20px 0;
  font-size: 30px;
}

.page-profile .seccion2 #imagenes
{
  display: flex;
  flex-direction: row;
  flex: 3;
  gap: 1rem;
  background-color: #b4b4b4;
  padding: 30px
}

.page-profile .seccion2 #imagenes img 
{
  width: 100%;
  height: 300px;
  object-fit: cover;
  margin-bottom: 30px;
}

.page-profile .seccion2 #imagenes div
{
  flex: 1;
  padding-top: 20px;
  text-align: center;
}

.page-profile .seccion2 #imagenes div h4 
{
  font-size: 30px;
}

.page-profile .seccion2 #video,
.page-profile .seccion2 #audio,
.page-profile .seccion2 #gif,
.page-profile .seccion2 #textos
{
  width: 100%;
  padding: 40px 0 0 0;
}

.page-profile .seccion2 #video video,
.page-profile .seccion2 #audio audio
{
  width: 100%;
}

@media (max-width: 767px)
{
  .page-profile .banner
  {
    background-image: url(/wp-content/themes/diw/img/banner-mobile.jpg);
  }

  .page-profile .seccion2
  {
    flex-direction: column;
  }

  .page-profile .seccion2 .sidebar
  {
    position: relative;
    padding: 30px 0 0 0;
  }

  .page-profile .seccion2 .contenido-seccion2
  {
    padding: 0;
  }

  .page-profile .seccion2 .contenido-seccion2 #imagenes
  {
    flex-direction: column;
  }

  .page-profile .banner
  {
    height: 250px;
  }

  .page-profile .banner .avatar
  {
    height: 120px;
    width: 120px;
  }

  .page-profile .banner h1
  {
    font-size: 25px;
  }
}

/*r <link
rel="icon" type="image/png" href="<?php echo
get_stylesheet_directory_uri()?>/img/favicon.png
">
*/  